Subject: Re: Compiling POV-Ray 3.01 with Mingw32 (gcc 2.8.1)
From: [email-masked] (Alain CULOS)

13 May 1998 06:05:27 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: cygwin <[email-masked]>

Hi All,

OK, I got past that one thanks to Mumit, I simply needed to define NEAR in my compilation command line ....

Some other helpful soul got me past another one (that I had posted on a Povray newsgroup) that people may find missing in Mingw32 headers :

In Structures.h, one should add the following line :
typedef BITMAPCOREHEADER FAR *LPBITMAPCOREHEADER;
I'm finding more errors, I guess headers are incomplete somewhere, so I'll try and do my best to report to this list what I can find.

Thanks again for those who helped or attempted to,
Alain.

> Extract of the code is :
> ============
> void NEAR PASCAL pvncGetStruct (HWND hWnd, pvncStruct *pvnc) ;
> void NEAR PASCAL pvncSetStruct (HWND hWnd, pvncStruct *pvnc) ;
> ============
> The compiler insult is :
> ======
> pvengine.h:346: warning: `stdcall' attribute directive ignored
> pvengine.h:346: parse error before `pvncGetStruct'
> pvengine.h:347: warning: `stdcall' attribute directive ignored
> pvengine.h:347: parse error before `pvncSetStruct'
> ======

--
ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever le Z de mon adresse.
To answer me, please take out the Z from my address.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".